Subject: Re: Windows Server 2008 64-bit setup.exe/bash problem - Amazon Cloud
From: Ernest Mueller <[email-masked]>
To: [email-masked]
Cc: Michael Higgins <[email-masked]>
Date: Thu, 15 Jul 2010 10:44:39 -0500
List-Id: <cygwin.cygwin.com>

Michael, did you ever find a fix for this?  I had to give up on cygwin on
the Amazon 64-bit and instead cobbled together freesshd and random
freewares.

Larry or others - what's the "right way" to report this as a bug?  I think
working on newer 64-bit OSes is pretty important...  And it should be
trivial to reproduce since the Amazon instances are publicly available;
nobody has to actually buy them expensive licenses...

Thanks,
Ernest
______________________
UN-altered REPRODUCTION and DISSEMINATION of
this IMPORTANT information is ENCOURAGED.

                                                                                                                     
  From:       Michael Higgins <[email-masked]>                                           
                                                                                                                     
  To:         [email-masked]                                                                                      
                                                                                                                     
  Date:       06/30/2010 09:39 AM                                                                                    
                                                                                                                     
  Subject:    Windows Server 2008 64-bit setup.exe/bash problem - Amazon Cloud                                       
                                                                                                                     
  Sent by:    [email-masked]                                                                                

I am unable to install Cygwin on a Windows Datacenter 2008 server image
running in the Amazon Web Services cloud.

The install process fails at the execution of the post install scripts with
a bash segmentation fault and core dump. The scripts "complete" but do not
actually do anything. Attempting to run them after the install produces the
same result, script exit but no actions executed.

Running the commands in the script one at a time from a shell window works,
but this is not acceptable, especially for running the ssh host
configuration script !!

Things tried so far: running the setup script in compatibility modes,
running the scripts after the install completes, running the scripts in
bash or sh from the command line. Nothing makes any difference, the scripts
fail to do the work required.

This seems to be the same as a problem reported already this month, with
the same Subject line. However I am opening this new thread, as Cygwin is
100% required on this server in our environment in order to enable Oracle
Grid Control 11g to accept agent data from this server.

This is a production level server running Oracle applications and I need
urgent HELP solving this Cygwin install failure.

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email
______________________________________________________________________

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple